- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CTextLabel Class Reference

a text label More...

`#include <vstcontrols.h>`

Inheritance diagram for CTextLabel:

List of all members.

## Public Member Functions
| CTextLabel (const CRect &size, const char *txt=0, CBitmap *background=0, const long style=0)
| ~CTextLabel ()
virtual void | setText (const char *txt)
virtual const char * | getText () const
virtual void | draw (CDrawContext *pContext)
| called if the view should draw itself
## Protected Member Functions
void | freeText ()
## Protected Attributes
char * | text

## Detailed Description

a text label

## Constructor & Destructor Documentation

CTextLabel::CTextLabel | ( | const CRect & | size,
|  | const char * | txt = `0`,
|  | CBitmap * | background = `0`,
|  | const long | style = `0`
| ) |

CTextLabel::~CTextLabel | ( |  | ) |

## Member Function Documentation

void CTextLabel::draw | ( | CDrawContext * | pContext | ) | `[virtual]`

| called if the view should draw itself Reimplemented from CParamDisplay.

void CTextLabel::freeText | ( |  | ) | `[protected]`

const char * CTextLabel::getText | ( |  | ) | const`[virtual]`

void CTextLabel::setText | ( | const char * | txt | ) | `[virtual]`

## Member Data Documentation

char* CTextLabel::text`[protected]`

The documentation for this class was generated from the following files:

- vstcontrols.h
- vstcontrols.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.